﻿-- Author      : Nogarder
-- Create Date : 2010/7/4 16:33:11

if(NPA_Core:CheckHook("HealthBar"))then


local Localization={}
local Tooltips={}
local locale=GetLocale()
local table_insert = table.insert
local pairs = pairs

if(locale=="zhTW")then
	Localization={
		["PageName"]="生命條",
		["HealthText"]="當前生命值",
		["HealthMax"]="最大生命值",
		["HealthPercent"]="生命百分比",
		["LevelText"]="等級文本",
		["ColorByHealth"]="條按生命值著色",
		["ColorByFaction"]="背景按陣營著色",
		["BreakDown"]="分割長數字",
		["Short"]="縮寫長數字",
		["HideTotem"]="隱藏圖騰血條",
		["DefaultColor"]="使用默認顏色",
		["Elite"]="顯示精英圖標",
		["LeftElite"]="精英圖標在左側",
		["Boss"]="顯示首領圖標",
		["PercentMarker"]="顯示 '%'",
		["ColorByClass"]="條按職業著色",
		["Bar"]="血條",
		["Border"]="邊框",
		["Background"]="背景",
		["Highlight"]="高亮",
		["Text"]="生命文本",
		["Level"]="等級文本",
		["ColorTextByClass"]="文本按職業著色",
		["ColorTextByHealth"]="文本按職業著色",
		["OffsetX"]="X偏移",
		["OffsetY"]="Y偏移",
		["ColorByThreat"]="條按仇恨著色",
		["AlwaysHide"]="圖騰即使選中也隱藏",
		["ShowLowHealth"]="顯示低血量警告",
		["LowHealthPercent"]="低血量警告百分比",
		["LowHealth"]="低血量警告",
		["Tapped"]="屬於其它玩家時顯示灰色",

	}
	Tooltips={
		["HealthBar"]="顯示血條和鼠標滑過高亮"
	}
elseif(locale=="zhCN")then
	Localization={
		["PageName"]="生命条",
		["HealthText"]="当前生命值",
		["HealthMax"]="最大生命值",
		["HealthPercent"]="生命百分比",
		["LevelText"]="等级文本",
		["ColorByHealth"]="条按生命着色",
		["ColorByFaction"]="背景按阵营着色",
		["BreakDown"]="分割长数字",
		["Short"]="缩写长数字",
		["HideTotem"]="隐藏图腾血条",
		["DefaultColor"]="使用默认颜色",
		["Elite"]="精英图标",
		["Boss"]="首领图标",
		["PercentMarker"]="显示 '%'",
		["ColorByClass"]="条按职业着色",
		["Bar"]="血条",
		["Border"]="边框",
		["Background"]="背景",
		["Highlight"]="高亮",
		["Text"]="生命文本",
		["Level"]="等级文本",
		["ColorTextByClass"]="文本按职业着色",
		["ColorTextByHealth"]="文本按生命着色",
		["ColorByThreat"]="条按仇恨着色",
		["OffsetX"]="X偏移",
		["OffsetY"]="Y偏移",
		["AlwaysHide"]="图腾即使选中也隐藏",
		["ShowLowHealth"]="显示低血量警告",
		["LowHealthPercent"]="低血量警告百分比",
		["LowHealth"]="低血量警告",
		["Tapped"]="属于其它玩家时显示灰色",
	}
	Tooltips={
		["HealthBar"]="显示血条和鼠标滑过高亮"
	}
else
	Localization={
		["PageName"]="HealthBar",
		["HealthText"]="Current health",
		["HealthMax"]="Max health",
		["HealthPercent"]="Health percent",
		["LevelText"]="Level Text",
		["ColorByHealth"]="Color bar by health",
		["ColorByFaction"]="Color background by faction",
		["BreakDown"]="Break down long number",
		["Short"]="Shorten long number",
		["HideTotem"]="Hide totem's healthbar",
		["DefaultColor"]="Use default color",
		["Elite"]="Elite icon",
		["Boss"]="Boss icon",
		["PercentMarker"]="Show '%'",
		["ColorByClass"]="Color bar by class",
		["Bar"]="Health bar",
		["Border"]="Border",
		["Background"]="Background",
		["Highlight"]="Highlight",
		["Text"]="Health text",
		["Level"]="Level text",
		["ColorTextByClass"]="Color text by class",
		["ColorTextByHealth"]="Color text by Health",
		["OffsetX"]="Offset X",
		["OffsetY"]="Offset Y",
		["ColorByThreat"]="Color bar by threat",
		["AlwaysHide"]="Hide totem even selected",
		["ShowLowHealth"]="Show low health warning",
		["LowHealthPercent"]="Low health warning percent",
		["LowHealth"]="Low health warning",
		["Tapped"]="Color grey when tapped by other player",
	}
	Tooltips={
		["HealthBar"]="Shows healthbar and mouseover highlight"
	}
end


local mainframe=NPA_Options:AddPage("NPA_Options_HealthBar",Localization["PageName"],"HealthBar",Tooltips["HealthBar"])

local Options=mainframe.Options

local sliderlist={
	["HealthBar_OffsetX"]={
		Name=Localization["OffsetX"],
		Min=-150,
		Max=150,
		Step=1,
		Width=140,
		OffsetX=20,
		OffsetY=-5
	},
	["HealthBar_OffsetY"]={
		Name=Localization["OffsetY"],
		Min=-150,
		Max=150,
		Step=1,
		Width=140,
		OffsetX=190,
		OffsetY=-5
	},
	["HealthBar_LowHealthPercent"]={
		Name=Localization["LowHealthPercent"],
		Min=0,
		Max=100,
		Step=1,
		Width=280,
		OffsetX=20,
		OffsetY=-420
	},

}

NPA_Options:BuildSliderList("NPA_Options_HealthBar",mainframe,sliderlist,Options)

NPA_Options:CreateSliderEditButton(Localization["Bar"],mainframe,"HealthBar_BarData",1,Options,3)
NPA_Options:CreateSliderEditButton(Localization["Border"],mainframe,"HealthBar_BorderData",1,Options,4)
NPA_Options:CreateSliderEditButton(Localization["Background"],mainframe,"HealthBar_BackgroundData",1,Options,5)

NPA_Options:CreateSliderEditButton(Localization["Highlight"],mainframe,"HealthBar_HighlightData",1,Options,6.5)
NPA_Options:CreateSliderEditButton(Localization["Elite"],mainframe,"HealthBar_EliteData",3,Options,7.5)
NPA_Options:CreateSliderEditButton(Localization["Boss"],mainframe,"HealthBar_BossData",3,Options,8.5)

NPA_Options:CreateSliderEditButton(Localization["Text"],mainframe,"HealthBar_TextData",2,Options,10)
NPA_Options:CreateSliderEditButton(Localization["Level"],mainframe,"HealthBar_LevelTextData",2,Options,11)

NPA_Options:CreateSliderEditButton(Localization["LowHealth"],mainframe,"HealthBar_LowHealthData",1,Options,12.5)

-------------------
local listframe=NPA_Options:CreateFrame("NPA_Options_HealthBar_Filter",mainframe)
listframe:SetPoint("TOPRIGHT",-6,-6)
listframe:SetWidth(200)

local checkboxdata={
	["HealthBar_HealthText"]=Localization["HealthText"],
	["HealthBar_HealthMax"]=Localization["HealthMax"],
	["HealthBar_HealthPercent"]=Localization["HealthPercent"],
	["HealthBar_LevelText"]=Localization["LevelText"],
	["HealthBar_PercentMarker"]=Localization["PercentMarker"],
	["HealthBar_Elite"]=Localization["Elite"],
	["HealthBar_BossIcon"]=Localization["Boss"],
}

NPA_Options:BuildCheckBoxList("NPA_Options_HealthBar",listframe,21,checkboxdata,18,Options,1)


local listframe2=NPA_Options:CreateFrame("NPA_Options_HealthBar_Filter",mainframe)
listframe2:SetPoint("TOPRIGHT",listframe,"BOTTOMRIGHT",0,-6)
listframe2:SetWidth(200)

local checkboxdata={
	["HealthBar_ColorByHealth"]=Localization["ColorByHealth"],
	["HealthBar_ColorByFaction"]=Localization["ColorByFaction"],
	["HealthBar_DefaultColor"]=Localization["DefaultColor"],
	["HealthBar_ColorByClass"]=Localization["ColorByClass"],
	["HealthBar_ColorTextByClass"]=Localization["ColorTextByClass"],
	["HealthBar_ColorTextByHealth"]=Localization["ColorTextByHealth"],
	["HealthBar_ColorByThreat"]=Localization["ColorByThreat"],
	["HealthBar_Tapped"]=Localization["Tapped"]
}

NPA_Options:BuildCheckBoxList("NPA_Options_HealthBar",listframe2,21,checkboxdata,18,Options,1)


local listframe3=NPA_Options:CreateFrame("NPA_Options_HealthBar_Filter",mainframe)
listframe3:SetPoint("TOPRIGHT",listframe2,"BOTTOMRIGHT",0,-6)
listframe3:SetWidth(200)

local checkboxdata={
	["HealthBar_BreakDown"]=Localization["BreakDown"],
	["HealthBar_Short"]=Localization["Short"],

}

NPA_Options:BuildCheckBoxList("NPA_Options_HealthBar",listframe3,21,checkboxdata,18,Options,1)

local listframe4=NPA_Options:CreateFrame("NPA_Options_HealthBar_Filter",mainframe)
listframe4:SetPoint("TOPRIGHT",listframe3,"BOTTOMRIGHT",0,-6)
listframe4:SetWidth(200)

local checkboxdata={
	["HealthBar_HideTotem"]=Localization["HideTotem"],
	["HealthBar_AlwaysHide"]=Localization["AlwaysHide"]
}

NPA_Options:BuildCheckBoxList("NPA_Options_HealthBar",listframe4,21,checkboxdata,18,Options,1)



local listframe5=NPA_Options:CreateFrame("NPA_Options_HealthBar_Filter",mainframe)
listframe5:SetPoint("TOPRIGHT",listframe4,"BOTTOMRIGHT",0,-6)
listframe5:SetWidth(200)

local checkboxdata={
	["HealthBar_ShowLowHealth"]=Localization["ShowLowHealth"],
}

NPA_Options:BuildCheckBoxList("NPA_Options_HealthBar",listframe5,21,checkboxdata,18,Options,1)

end